cURL
curl --request GET \
--url https://api.maesn.dev/accounting/salesOrders/{salesOrderId}/lineItems \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://api.maesn.dev/accounting/salesOrders/{salesOrderId}/lineItems"
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
fetch('https://api.maesn.dev/accounting/salesOrders/{salesOrderId}/lineItems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": [
{
"id": "9fc4f3a2-5b8e-4d1b-8a0c-9f6e7d2f3e4b",
"itemId": "efa82f42-fd85-11e1-a21f-0800200c9a33",
"createdDate": "2021-01-01T00:00:00Z",
"description": "SEOUL Guest Chair, red",
"itemName": "RED CHAIR",
"quantity": 1,
"taxCode": "CODE.19",
"taxRatePercentage": 19,
"totalDiscountAmount": 10,
"totalDiscountPercentage": 10,
"totalGrossAmount": 109,
"totalNetAmount": 100,
"totalTaxAmount": 19,
"unitAmount": 100,
"unitDiscountAmount": 10,
"unitDiscountPercentage": 10,
"unitName": "PIECE",
"updatedDate": "2021-01-01T00:00:00Z"
}
]
}Sales Order Lines
Get sales order lines
GET
/
accounting
/
salesOrders
/
{salesOrderId}
/
lineItems
cURL
Field support per integration

abacus
abacus
Please ensure the query parameter
environmentName is accurately populated with the appropriate environment.
You can obtain this value by using the GET Environments endpoint available under the Authentication section.Note that quantity can be a decimal numeral.
Last modified on July 10, 2026
Was this page helpful?
⌘I